org.gcube.dataanalysis.dataminer.poolmanager.clients.configuration

## Class ConfigurationImpl

- java.lang.Object
- - org.gcube.dataanalysis.dataminer.poolmanager.clients.configuration.ConfigurationImpl

All Implemented Interfaces:
  Configuration

    public class ConfigurationImpl
    extends Object
    implements Configuration

### Constructor Summary

Constructors
Constructor and Description
`ConfigurationImpl(org.gcube.dataanalysis.dataminer.poolmanager.clients.configuration.ConfigurationImpl.CONFIGURATIONS type, ClientConfigurationCache cache)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getGhostAlgoDirectory()`
`String` `getHost()`
`String` `getRepository()`
`String` `getSVNAlgorithmsList()`
`String` `getSVNCRANDepsList()`
`String` `getSVNJavaDepsList()`
`String` `getSVNKWDepsList()`
`String` `getSVNLinuxCompiledDepsList()`
`String` `getSVNMainAlgoRepo()`
`String` `getSVNOctaveDepsList()`
`String` `getSVNPreInstalledDepsList()`
`String` `getSVNPythonDepsList()`
`String` `getSVNRBDepsList()`
`String` `getSVNRepository()`
`String` `getSVNWCDepsList()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ConfigurationImpl

    public ConfigurationImpl(org.gcube.dataanalysis.dataminer.poolmanager.clients.configuration.ConfigurationImpl.CONFIGURATIONS type,
                             ClientConfigurationCache cache)

### Method Detail

#### getHost

    public String getHost()

Specified by:
  `getHost` in interface `Configuration`

#### getSVNAlgorithmsList

    public String getSVNAlgorithmsList()

Specified by:
  `getSVNAlgorithmsList` in interface `Configuration`

#### getRepository

    public String getRepository()

Specified by:
  `getRepository` in interface `Configuration`

#### getSVNLinuxCompiledDepsList

    public String getSVNLinuxCompiledDepsList()

Specified by:
  `getSVNLinuxCompiledDepsList` in interface `Configuration`

#### getSVNPreInstalledDepsList

    public String getSVNPreInstalledDepsList()

Specified by:
  `getSVNPreInstalledDepsList` in interface `Configuration`

#### getSVNRBDepsList

    public String getSVNRBDepsList()

Specified by:
  `getSVNRBDepsList` in interface `Configuration`

#### getSVNCRANDepsList

    public String getSVNCRANDepsList()

Specified by:
  `getSVNCRANDepsList` in interface `Configuration`

#### getSVNJavaDepsList

    public String getSVNJavaDepsList()

Specified by:
  `getSVNJavaDepsList` in interface `Configuration`

#### getSVNKWDepsList

    public String getSVNKWDepsList()

Specified by:
  `getSVNKWDepsList` in interface `Configuration`

#### getSVNOctaveDepsList

    public String getSVNOctaveDepsList()

Specified by:
  `getSVNOctaveDepsList` in interface `Configuration`

#### getSVNPythonDepsList

    public String getSVNPythonDepsList()

Specified by:
  `getSVNPythonDepsList` in interface `Configuration`

#### getSVNWCDepsList

    public String getSVNWCDepsList()

Specified by:
  `getSVNWCDepsList` in interface `Configuration`

#### getSVNRepository

    public String getSVNRepository()

Specified by:
  `getSVNRepository` in interface `Configuration`

#### getSVNMainAlgoRepo

    public String getSVNMainAlgoRepo()

Specified by:
  `getSVNMainAlgoRepo` in interface `Configuration`

#### getGhostAlgoDirectory

    public String getGhostAlgoDirectory()

Specified by:
  `getGhostAlgoDirectory` in interface `Configuration`